Subject: bug#79289: closed (Re: bug#79289: 31.0.50; ehelp-command not autoloaded)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Aug 2025 08:27:02 +0000

Your bug report

#79289: 31.0.50; ehelp-command not autoloaded

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79289: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79289
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79289: 31.0.50; ehelp-command not autoloaded
From: Eli Zaretskii <[email-masked]>
To: Zhengyi Fu <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Aug 2025 11:25:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Zhengyi Fu <[email-masked]>
> Date: Fri, 22 Aug 2025 11:27:32 +0800
> 
> The autoload cookie for ehelp-command in lisp/ehelp.el seems invalid.
> 
>      ;;;###(autoload 'ehelp-command "ehelp" "Prefix command for ehelp." t 'keymap)
>      (defalias 'ehelp-command ehelp-map)
> 
> Is it a bug or am I missing anything?

Thanks, I fixed this now.

Subject: 31.0.50; ehelp-command not autoloaded
From: Zhengyi Fu <[email-masked]>
To: [email-masked]
Date: Fri, 22 Aug 2025 11:27:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The autoload cookie for ehelp-command in lisp/ehelp.el seems invalid.

     ;;;###(autoload 'ehelp-command "ehelp" "Prefix command for ehelp." t 'keymap)
     (defalias 'ehelp-command ehelp-map)

Is it a bug or am I missing anything?